;;;; -*- Mode: Lisp; Package: cl-user -*-
;;;;
;;;; This is part of the acl-installer program: 
;;;;    http://kevin.rosenberg.net/acl-installer
;;;;
;;;; Copyright (c) 2002 Kevin M. Rosenberg
;;;;
;;;; acl-installer is free software; you can redistribute it and/or modify
;;;; it under the terms of the GNU General Public License (version 2) as
;;;; published by the Free Software Foundation.
;;;;
;;;; acl-install is distributed in the hope that it will be useful,
;;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;; GNU General Public License for more details.
;;;;
;;;; You should have a copy of the GNU General Public License on your
;;;; Debian system in the file /usr/share/common-licenses/GPL-2


(in-package #:cl-user)

(handler-case
    (load "/usr/share/common-lisp/source/common-lisp-controller/common-lisp-controller.lisp")
  (error (e)
    (format t "Error loading common-lisp-controller.lisp: ~A~%" e)))

(handler-case
    (common-lisp-controller:init-common-lisp-controller-v4 "alisp")
  (error (e)
    (format t "Error during init-common-lisp-controller-v4: ~A~%" e)))

(when (probe-file #p"/etc/lisp.config")
  (load #p"/etc/lisp.config"))

